package garage.vehicle.part.pedal;

import garage.vehicle.part.engine.Engine;

public class PedalAccelerator implements Pedal{

    private Engine engine;
    private Double state;

    public PedalAccelerator(Engine engine) {
        this.engine = engine;
        this.state = 0d;
    }

    @Override
    public void setState(Double pressure) {
        this.state = pressure;
    }

    @Override
    public Double getState() {
        return state;
    }

    public Engine getEngine() {
        return engine;
    }

    @Override
    public void release() {
        state = 0d;
    }

    @Override
    public void update() {

    }

}
