package garage.vehicle.part.pedal;

public enum PedalPosition {

    ACCELERATOR(0),
    BRAKE(1),
    CLUTCH(2);

    private final Integer value;

    PedalPosition(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }

    public static PedalPosition getEnum(Integer value) {
        for (PedalPosition position : PedalPosition.values()) {
            if (position.getValue().equals(value)) {
                return position;
            }
        }
        return null;
    }

}
